<?php

namespace App\Entities\LojaCompraItem;

use App\Utils\Entity;

class LojaCompraItem extends Entity {
	protected $id;
	protected $id_loja_compra;
	protected $id_loja_produto;
	protected $quantidade;
	protected $valor_unidade;
	protected $valor;
	protected $id_usuario;
	protected $data_criacao;
	protected $hora_criacao;

	public static function builder(): LojaCompraItemBuilder {

		$loja_builder = new LojaCompraItemBuilder();
		return $loja_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdLojaCompra() {

		return $this->id_loja_compra;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdLojaProduto() {

		return $this->id_loja_produto;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQuantidade() {

		return $this->quantidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorUnidade() {

		return $this->valor_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->id_usuario;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $id_loja_compra
	 */
	public function setIdLojaCompra($id_loja_compra) {

		$this->id_loja_compra = $id_loja_compra;

	}

	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setIdLojaProduto($id_loja_produto) {

		$this->id_loja_produto = $id_loja_produto;

	}

	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;

	}

	/**
	 *
	 * @param mixed $valor_unidade
	 */
	public function setValorUnidade($valor_unidade) {

		$this->valor_unidade = $valor_unidade;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $id_usuario
	 */
	public function setIdUsuario($id_usuario) {

		$this->id_usuario = $id_usuario;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

}